Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366920 - inconsistent paramkiko requirements for rpm and egg
Summary: inconsistent paramkiko requirements for rpm and egg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fabric
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Athmane Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 01:24 UTC by Viorel Tabara
Modified: 2016-08-27 10:30 UTC (History)
2 users (show)

Fixed In Version: fabric-1.12.0-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:30:24 UTC


Attachments (Terms of Use)

Description Viorel Tabara 2016-08-15 01:24:27 UTC
Description of problem:

Attempting to serve a Pelican site with:

    fab preview

fails with:

   pkg_resources.DistributionNotFound: The 'paramiko<2.0,>=1.10' distribution 
   was not found and is required by Fabric

Package rpm and egg-info:

   omiday ~ $ rpm -qR fabric | grep paramiko
   python-paramiko >= 1.10.0

   omiday ~ $ cat /usr/lib/python2.7/site-packages/Fabric-1.11.1-py2.7.egg-info/requires.txt
   paramiko>=1.10,<2.0
 


Version-Release number of selected component (if applicable):

fabric-1.11.1-1.fc25.noarch
python2-paramiko-2.0.0-2.fc25.noarch


How reproducible:

Always.


Steps to Reproduce:

1. Create a "fabfile" that uses Paramiko:

      from fabric.api import local

      def host_type():
         local('uname -s')

2. Run it:

      fab -H localhost host_type


Actual results:

Traceback (most recent call last):
File "/usr/bin/fab", line 5, in <module>
   from pkg_resources import load_entry_point
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2958, in <module>
   @_call_aside
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2944, in _call_aside
   f(*args, **kwargs)
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2971, in _initialize_master_working_set
   working_set = WorkingSet._build_master()
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 637, in _build_master
   return cls._build_from_requirements(__requires__)
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 650, in _build_from_requirements
   dists = ws.resolve(reqs, Environment())
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 829, in resolve
   raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'paramiko<2.0,>=1.10' distribution was not found and is required by Fabric


Expected results:

[localhost] Executing task 'host_type'
[localhost] local: uname -s
Linux

Done.
 

Additional info:

Removing the '<2.0' condition from 'requires.txt' to match the RPM appears to 
get rid of error without any side effects.

Comment 1 Athmane Madjoudj 2016-08-15 22:04:49 UTC
Fixing right away. 

paramiko 2.0 (f25+) also does not depend on pycrypto, so I'll need to fix that too.

Comment 2 Fedora Update System 2016-08-15 22:23:56 UTC
fabric-1.12.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d6c42eee69

Comment 3 Fedora Update System 2016-08-16 16:25:59 UTC
fabric-1.12.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d6c42eee69

Comment 4 Fedora Update System 2016-08-27 10:30:22 UTC
fabric-1.12.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.